Page MenuHomePhabricator

HTML entities in section headings show on a separate line in mobile visual editor
Closed, ResolvedPublic

Description

HTML entities in section headings show on a separate line in mobile visual editor. Apparently CSS for collapsible sections matches the Parsoid markup.

Example:

Read modeEdit modeEdit mode (after the patch)

Event Timeline

matmarex created this task.Aug 4 2019, 6:33 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 4 2019, 6:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JTannerWMF moved this task from To Triage to Freezer on the VisualEditor board.Aug 8 2019, 4:34 PM
JTannerWMF added a subscriber: JTannerWMF.

Moving this due to it being an edge case.

Change 529974 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/skins/MinervaNeue@master] Don't apply some heading styles incorrectly within VisualEditor

https://gerrit.wikimedia.org/r/529974

DLynch claimed this task.Aug 13 2019, 4:33 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 531298 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/MobileFrontend@master] In VE undo some MinervaNeue heading styles

https://gerrit.wikimedia.org/r/531298

Change 529974 abandoned by DLynch:
Don't apply some heading styles incorrectly within VisualEditor

Reason:
Moved to other patch

https://gerrit.wikimedia.org/r/529974

Change 531298 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] In VE undo some MinervaNeue heading styles

https://gerrit.wikimedia.org/r/531298

matmarex moved this task from Inbox to Low Priority on the Editing QA board.Sep 9 2019, 10:58 PM
matmarex updated the task description. (Show Details)Sep 9 2019, 11:25 PM

Somebody edited my example article, so I found a better example.

Ryasmeen edited projects, added Verified; removed Editing QA.
ppelberg closed this task as Resolved.Oct 22 2019, 12:35 AM